Groovy Documentation

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentDoubleKeyMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap

    public abstract class AbstractConcurrentDoubleKeyMap
    extends AbstractConcurrentMapBase

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`AbstractConcurrentDoubleKeyMap(java.lang.Object segmentInfo)`

Method Summary
`java.lang.Object` | `get(K1 key1, K2 key2)`
`AbstractConcurrentDoubleKeyMap.Entry` | `getOrPut(K1 key1, K2 key2, java.lang.Object value)`
`void` | `put(K1 key1, K2 key2, java.lang.Object value)`
`void` | `remove(K1 key1, K2 key2)`
`AbstractConcurrentDoubleKeyMap.Segment` | `segmentFor(int hash)`

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractConcurrentDoubleKeyMap

    public AbstractConcurrentDoubleKeyMap(java.lang.Object segmentInfo)

Method Detail

### get

    public java.lang.Object get(K1 key1, K2 key2)

### getOrPut

    public AbstractConcurrentDoubleKeyMap.Entry getOrPut(K1 key1, K2 key2, java.lang.Object value)

### put

    public void put(K1 key1, K2 key2, java.lang.Object value)

### remove

    public void remove(K1 key1, K2 key2)

### segmentFor

    public final AbstractConcurrentDoubleKeyMap.Segment segmentFor(int hash)

Groovy Documentation